List your presentation videos
curl --request GET \
--url https://pria.praxislxp.com/api/user/presentations \
--header 'x-access-token: <api-key>'import requests
url = "https://pria.praxislxp.com/api/user/presentations"
headers = {"x-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://pria.praxislxp.com/api/user/presentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"presentations": [
{
"_id": "<string>",
"title": "Q3 in 60 seconds",
"status": "building",
"failureCode": "BUILD_STALE",
"narrationCapMinutes": 30,
"headRevision": 22,
"headVersion": 1,
"estimateCredits": 15,
"estimateLow": 10,
"stoppedAt": "2023-11-07T05:31:56Z",
"stopReason": "STOP",
"stopAvailable": true,
"headStopped": true,
"buildTurnKey": "<string>",
"costIncluded": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"page": 1,
"limit": 20,
"hasMore": false
}Presentations
List your presentation videos
The presentation videos you made in your current Digital Twin, most recently active first. A video still being built with no progress for 30 minutes is reported as failed.
GET
/
api
/
user
/
presentations
List your presentation videos
Authorizations
JWT token passed in x-access-token header
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 50Was this page helpful?